Subject: ClickToFocus/Maximize glitch ?

From: Giuseppe Della Ricca <[email-masked]>
Date: Sat, 21 Dec 2002 11:11:51 +0100 (CET)

sorry, I forgot a meaningful subject in my previous mail ...

---

Hi !

I have a button in the titlebar of all my windows, build as:

DestroyFunc Maximize-Func
AddToFunc Maximize-Func         C Maximize 0   100
+                               D Maximize 100 100

Mouse 0         2       A       Maximize-Func

If I have two xterm windows on my screen, and single-click on this button 
of the focussed one, the selected window is maximized, but 'underneath/below' 
the other one.

If the situation is like this:

+----------o
|    1     |
+----------+

  +------o
  |  2   |
  +------+

and the window 1 has focus, when I single-click on its button 'o', the 
result is like this:

+----------o
|          |
|    1     |
|          |
| +------o |
| |  2   | |
| +------+ |
+----------+

Window 1 still has focus, but is below window 2.
I would expect that the focussed window remains 'above' the other one.

I use:

Style * ClickToFocus, GrabFocus

I'm running fvwm 2.5.6 (from cvs) compiled on Dec 20 2002 at 09:48:04.

Thanks a lot, and ... Happy Holidays !

cheers,
Giuseppe.

PS: I'm not subscribed, so please Cc: if you need more details.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]